
/*
 * This file implements initial version of device-mapper error target.
 */
#include <sys/types.h>
#include <sys/param.h>

#include <sys/buf.h>
#include <sys/errno.h>
#include <sys/ioctl.h>
#include <sys/ioccom.h>
#include <sys/kmem.h>
#include <sys/types.h>
#include <sys/param.h>
#include <sys/queue.h>

#include "dm.h"


int
dm_target_error_init(struct dm_dev *dmv, void **target_config, int argc, char **argv)
{

	printf("Error target init function called!!\n");

	*target_config = NULL;
	
	return 0;
}

int
dm_target_error_strategy(struct dm_table_entry *table_en, struct buf *bp)
{

	printf("Error target read function called!!\n");

	bp->b_error = EIO;
	bp->b_resid = 0;

	biodone(bp);
	
	return 0;
}

int
dm_target_error_destroy(struct dm_table_entry *table_en)
{
	
	return 0;
}

int
dm_target_error_upcall(struct dm_table_entry *table_en, struct buf *bp)
{

	return 0;
}
